<div *ngIf="article$ | async as article; else noArticle" class="article-details">
    <form class="form" [formGroup] = "form" (ngSubmit)="onSubmit()">
      <div class="article-detail" >
        {{ article.id}}
      </div>
      <div class="form-group" >
        <label for="">Title</label>
        <input type="text" formControlName="title">
        <div class="error" *ngIf="form.controls.title.errors">
          <div *ngIf="form.controls.title.errors.required">
            This field is required
          </div>
          <div *ngIf="form.controls.title.errors.minlength">
            This min length this field is {{ form.controls.title.errors.minlength.requiredLength }}
          </div>
        </div>
      </div>
      <div class="form-group" >
        <label for="">Annotation</label>
        <input type="text" [formControl]="form.controls['annotation']">
      </div>
      <div class="form-group" >
        <label for="">Is published</label>
        <input type="checkbox" formControlName="is_published">
      </div>
      <div class="form-group" >
        <label for="">Category:</label>
        <select name="" id="" formControlName="category_id">
          <option *ngFor="let category of categories$ | async" [value]="category.id">{{ category.title }}</option>
        </select>
      </div>
      <div class="form-group tags" >
        <label for="">Tags</label>
        <div *ngFor="let tagGroup of form.controls.tags.controls; let idx= index" [formGroup] = "tagGroup">
          <input type="text" formControlName = "name">
        </div>
        <button type="button" (click) = "addTag()">Add tag</button>
      </div>

      <button type="submit" [disabled]="!form.valid">Save</button>
    </form>
</div>
<ng-template #noArticle>
  No article for such id
</ng-template>

